[Qa-jenkins-scm] [Git][qa/jenkins.debian.net][master] 2 commits: reproducible: tell squid to also cache .zst files, used by Arch Linux since recently

Holger Levsen gitlab at salsa.debian.org
Thu Sep 10 16:37:17 BST 2020



Holger Levsen pushed to branch master at Debian QA / jenkins.debian.net


Commits:
ccf1cb17 by Holger Levsen at 2020-09-10T17:06:38+02:00
reproducible: tell squid to also cache .zst files, used by Arch Linux since recently

Signed-off-by: Holger Levsen <holger at layer-acht.org>

- - - - -
ae55baaa by Holger Levsen at 2020-09-10T17:36:18+02:00
reproducible Arch Linux: deal with new .pkg.tar.zst files

Signed-off-by: Holger Levsen <holger at layer-acht.org>

- - - - -


13 changed files:

- bin/reproducible_build_archlinux_pkg.sh
- hosts/codethink-sled16-arm64/etc/squid/squid.conf
- hosts/osuosl-build167-amd64/etc/squid/squid.conf
- hosts/osuosl-build168-amd64/etc/squid/squid.conf
- hosts/osuosl-build169-amd64/etc/squid/squid.conf
- hosts/osuosl-build170-amd64/etc/squid/squid.conf
- hosts/osuosl-build171-amd64/etc/squid/squid.conf
- hosts/osuosl-build172-amd64/etc/squid/squid.conf
- hosts/osuosl-build173-amd64/etc/squid/squid.conf
- hosts/osuosl-build174-amd64/etc/squid/squid.conf
- hosts/profitbricks-build1-amd64/etc/squid/squid.conf
- hosts/profitbricks-build10-amd64/etc/squid/squid.conf
- update_jdn.sh


Changes:

=====================================
bin/reproducible_build_archlinux_pkg.sh
=====================================
@@ -1,6 +1,6 @@
 #!/bin/bash
 
-# Copyright 2015-2019 Holger Levsen <holger at layer-acht.org>
+# Copyright 2015-2020 Holger Levsen <holger at layer-acht.org>
 #                2017 kpcyrd <git at rxv.cc>
 # released under the GPLv2
 
@@ -364,7 +364,11 @@ elif [ "$1" = "1" ] || [ "$1" = "2" ] ; then
 	fi
 
 	# preserve results and delete build directory
-	if [ -n "$(ls /tmp/$SRCPACKAGE-$(basename $TMPDIR)/*/trunk/*.pkg.tar.xz)" ] ; then
+	# .zst is the new compressor, while .xz will eventually go away
+	if [ -n "$(ls /tmp/$SRCPACKAGE-$(basename $TMPDIR)/*/trunk/*.pkg.tar.zst)" ] ; then
+		# copying is enough here, we delete after this if block anyway
+		cp --preserve=timestamps -v /tmp/$SRCPACKAGE-$(basename $TMPDIR)/*/trunk/*.pkg.tar.zst $TMPDIR/b$MODE/$SRCPACKAGE/
+	elif [ -n "$(ls /tmp/$SRCPACKAGE-$(basename $TMPDIR)/*/trunk/*.pkg.tar.xz)" ] ; then
 		# copying is enough here, we delete after this if block anyway
 		cp --preserve=timestamps -v /tmp/$SRCPACKAGE-$(basename $TMPDIR)/*/trunk/*.pkg.tar.xz $TMPDIR/b$MODE/$SRCPACKAGE/
 	else
@@ -417,17 +421,19 @@ remote_build 1 ${NODE1}
 #
 # only do the 2nd build if the 1st produced results
 #
-if [ ! -z "$(ls $TMPDIR/b1/$SRCPACKAGE/*.pkg.tar.xz 2>/dev/null|| true)" ] ; then
+# .zst is the new compressor, while .xz will eventually go away
+if [ ! -z "$(ls $TMPDIR/b1/$SRCPACKAGE/*.pkg.tar.xz $TMPDIR/b1/$SRCPACKAGE/*.pkg.tar.zst 2>/dev/null|| true)" ] ; then
 	remote_build 2 ${NODE2}
 	cd $TMPDIR/b1/$SRCPACKAGE
-	for ARTIFACT in *.pkg.tar.xz ; do
+	# .zst is the new compressor, while .xz will eventually go away
+	for ARTIFACT in *.pkg.tar.xz *.pkg.tar.zst ; do
 		[ -f $ARTIFACT ] || continue
 		echo "$(date -u) - comparing results now."
 		if diff -q $TMPDIR/b1/$SRCPACKAGE/$ARTIFACT $TMPDIR/b2/$SRCPACKAGE/$ARTIFACT ; then
 			echo "$(date -u) - YAY - $SRCPACKAGE/$ARTIFACT build reproducible in our test framework!"
 			mkdir -p $BASE/archlinux/$REPOSITORY/$SRCPACKAGE
-			tar xJvf $TMPDIR/b1/$SRCPACKAGE/$ARTIFACT .BUILDINFO && mv .BUILDINFO $BASE/archlinux/$REPOSITORY/$SRCPACKAGE/$ARTIFACT-b1.BUILDINFO.txt
-			tar xJvf $TMPDIR/b2/$SRCPACKAGE/$ARTIFACT .BUILDINFO && mv .BUILDINFO $BASE/archlinux/$REPOSITORY/$SRCPACKAGE/$ARTIFACT-b2.BUILDINFO.txt
+			bsdtar xvf $TMPDIR/b1/$SRCPACKAGE/$ARTIFACT .BUILDINFO && mv .BUILDINFO $BASE/archlinux/$REPOSITORY/$SRCPACKAGE/$ARTIFACT-b1.BUILDINFO.txt
+			bsdtar xvf $TMPDIR/b2/$SRCPACKAGE/$ARTIFACT .BUILDINFO && mv .BUILDINFO $BASE/archlinux/$REPOSITORY/$SRCPACKAGE/$ARTIFACT-b2.BUILDINFO.txt
 			(
 				echo "<html><body><p>$SRCPACKAGE/$ARTIFACT build reproducible in our test framework:<br />"
 				(cd $TMPDIR/b1/$SRCPACKAGE ; sha256sum $ARTIFACT)


=====================================
hosts/codethink-sled16-arm64/etc/squid/squid.conf
=====================================
@@ -4875,7 +4875,7 @@ refresh_pattern /(|In)Release(|\.gpg)$	0	0%	0
 refresh_pattern /(Packages|Sources)(|\.gz|\.bz2|\.xz)$	0	0%	0
 refresh_pattern \.deb$   129600 100% 129600
 refresh_pattern \.udeb$   129600 100% 129600
-refresh_pattern \.tar\.(gz|bz2|xz|lzma)$  129600 100% 129600
+refresh_pattern \.tar\.(gz|bz2|xz|lzma|zst)$  129600 100% 129600
 refresh_pattern .		0	20%	4320
 
 #  TAG: quick_abort_min	(KB)


=====================================
hosts/osuosl-build167-amd64/etc/squid/squid.conf
=====================================
@@ -4875,7 +4875,7 @@ refresh_pattern /(|In)Release(|\.gpg)$	0	0%	0
 refresh_pattern /(Packages|Sources)(|\.gz|\.bz2|\.xz)$	0	0%	0
 refresh_pattern \.deb$   129600 100% 129600
 refresh_pattern \.udeb$   129600 100% 129600
-refresh_pattern \.tar\.(gz|bz2|xz|lzma)$  129600 100% 129600
+refresh_pattern \.tar\.(gz|bz2|xz|lzma|zst)$  129600 100% 129600
 refresh_pattern /(core|extra|community|multilib)\.db(\.tar\.gz|\.sig)?$	0	0%	0
 refresh_pattern .		0	20%	4320
 


=====================================
hosts/osuosl-build168-amd64/etc/squid/squid.conf
=====================================
@@ -4875,7 +4875,7 @@ refresh_pattern /(|In)Release(|\.gpg)$	0	0%	0
 refresh_pattern /(Packages|Sources)(|\.gz|\.bz2|\.xz)$	0	0%	0
 refresh_pattern \.deb$   129600 100% 129600
 refresh_pattern \.udeb$   129600 100% 129600
-refresh_pattern \.tar\.(gz|bz2|xz|lzma)$  129600 100% 129600
+refresh_pattern \.tar\.(gz|bz2|xz|lzma|zst)$  129600 100% 129600
 refresh_pattern /(core|extra|community|multilib)\.db(\.tar\.gz|\.sig)?$	0	0%	0
 refresh_pattern .		0	20%	4320
 


=====================================
hosts/osuosl-build169-amd64/etc/squid/squid.conf
=====================================
@@ -4875,7 +4875,7 @@ refresh_pattern /(|In)Release(|\.gpg)$	0	0%	0
 refresh_pattern /(Packages|Sources)(|\.gz|\.bz2|\.xz)$	0	0%	0
 refresh_pattern \.deb$   129600 100% 129600
 refresh_pattern \.udeb$   129600 100% 129600
-refresh_pattern \.tar\.(gz|bz2|xz|lzma)$  129600 100% 129600
+refresh_pattern \.tar\.(gz|bz2|xz|lzma|zst)$  129600 100% 129600
 refresh_pattern /(core|extra|community|multilib)\.db(\.tar\.gz|\.sig)?$	0	0%	0
 refresh_pattern .		0	20%	4320
 


=====================================
hosts/osuosl-build170-amd64/etc/squid/squid.conf
=====================================
@@ -4875,7 +4875,7 @@ refresh_pattern /(|In)Release(|\.gpg)$	0	0%	0
 refresh_pattern /(Packages|Sources)(|\.gz|\.bz2|\.xz)$	0	0%	0
 refresh_pattern \.deb$   129600 100% 129600
 refresh_pattern \.udeb$   129600 100% 129600
-refresh_pattern \.tar\.(gz|bz2|xz|lzma)$  129600 100% 129600
+refresh_pattern \.tar\.(gz|bz2|xz|lzma|zst)$  129600 100% 129600
 refresh_pattern /(core|extra|community|multilib)\.db(\.tar\.gz|\.sig)?$	0	0%	0
 refresh_pattern .		0	20%	4320
 


=====================================
hosts/osuosl-build171-amd64/etc/squid/squid.conf
=====================================
@@ -4875,7 +4875,7 @@ refresh_pattern /(|In)Release(|\.gpg)$	0	0%	0
 refresh_pattern /(Packages|Sources)(|\.gz|\.bz2|\.xz)$	0	0%	0
 refresh_pattern \.deb$   129600 100% 129600
 refresh_pattern \.udeb$   129600 100% 129600
-refresh_pattern \.tar\.(gz|bz2|xz|lzma)$  129600 100% 129600
+refresh_pattern \.tar\.(gz|bz2|xz|lzma|zst)$  129600 100% 129600
 refresh_pattern /(core|extra|community|multilib)\.db(\.tar\.gz|\.sig)?$	0	0%	0
 refresh_pattern .		0	20%	4320
 


=====================================
hosts/osuosl-build172-amd64/etc/squid/squid.conf
=====================================
@@ -4875,7 +4875,7 @@ refresh_pattern /(|In)Release(|\.gpg)$	0	0%	0
 refresh_pattern /(Packages|Sources)(|\.gz|\.bz2|\.xz)$	0	0%	0
 refresh_pattern \.deb$   129600 100% 129600
 refresh_pattern \.udeb$   129600 100% 129600
-refresh_pattern \.tar\.(gz|bz2|xz|lzma)$  129600 100% 129600
+refresh_pattern \.tar\.(gz|bz2|xz|lzma|zst)$  129600 100% 129600
 refresh_pattern /(core|extra|community|multilib)\.db(\.tar\.gz|\.sig)?$	0	0%	0
 refresh_pattern .		0	20%	4320
 


=====================================
hosts/osuosl-build173-amd64/etc/squid/squid.conf
=====================================
@@ -4875,7 +4875,7 @@ refresh_pattern /(|In)Release(|\.gpg)$	0	0%	0
 refresh_pattern /(Packages|Sources)(|\.gz|\.bz2|\.xz)$	0	0%	0
 refresh_pattern \.deb$   129600 100% 129600
 refresh_pattern \.udeb$   129600 100% 129600
-refresh_pattern \.tar\.(gz|bz2|xz|lzma)$  129600 100% 129600
+refresh_pattern \.tar\.(gz|bz2|xz|lzma|zst)$  129600 100% 129600
 refresh_pattern /(core|extra|community|multilib)\.db(\.tar\.gz|\.sig)?$	0	0%	0
 refresh_pattern .		0	20%	4320
 


=====================================
hosts/osuosl-build174-amd64/etc/squid/squid.conf
=====================================
@@ -4875,7 +4875,7 @@ refresh_pattern /(|In)Release(|\.gpg)$	0	0%	0
 refresh_pattern /(Packages|Sources)(|\.gz|\.bz2|\.xz)$	0	0%	0
 refresh_pattern \.deb$   129600 100% 129600
 refresh_pattern \.udeb$   129600 100% 129600
-refresh_pattern \.tar\.(gz|bz2|xz|lzma)$  129600 100% 129600
+refresh_pattern \.tar\.(gz|bz2|xz|lzma|zst)$  129600 100% 129600
 refresh_pattern /(core|extra|community|multilib)\.db(\.tar\.gz|\.sig)?$	0	0%	0
 refresh_pattern .		0	20%	4320
 


=====================================
hosts/profitbricks-build1-amd64/etc/squid/squid.conf
=====================================
@@ -4882,7 +4882,7 @@ refresh_pattern /(|In)Release(|\.gpg)$	0	0%	0
 refresh_pattern /(Packages|Sources)(|\.gz|\.bz2|\.xz)$	0	0%	0
 refresh_pattern \.deb$   129600 100% 129600
 refresh_pattern \.udeb$   129600 100% 129600
-refresh_pattern \.tar\.(gz|bz2|xz|lzma)$  129600 100% 129600
+refresh_pattern \.tar\.(gz|bz2|xz|lzma|zst)$  129600 100% 129600
 refresh_pattern .		0	20%	4320
 
 #  TAG: quick_abort_min	(KB)


=====================================
hosts/profitbricks-build10-amd64/etc/squid/squid.conf
=====================================
@@ -4882,7 +4882,7 @@ refresh_pattern /(|In)Release(|\.gpg)$	0	0%	0
 refresh_pattern /(Packages|Sources)(|\.gz|\.bz2|\.xz)$	0	0%	0
 refresh_pattern \.deb$   129600 100% 129600
 refresh_pattern \.udeb$   129600 100% 129600
-refresh_pattern \.tar\.(gz|bz2|xz|lzma)$  129600 100% 129600
+refresh_pattern \.tar\.(gz|bz2|xz|lzma|zst)$  129600 100% 129600
 refresh_pattern .		0	20%	4320
 
 #  TAG: quick_abort_min	(KB)


=====================================
update_jdn.sh
=====================================
@@ -498,6 +498,7 @@ if [ -f /etc/debian_version ] ; then
 				binfmt-support 
 				bison
 				botch
+				bsdtar
 				build-essential 
 				cmake 
 				cron-apt 



View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/-/compare/fefa47f5d99547b0f63c02930f650e99f66184f1...ae55baaa75f04035b508d58a2957177f4e257441

-- 
View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/-/compare/fefa47f5d99547b0f63c02930f650e99f66184f1...ae55baaa75f04035b508d58a2957177f4e257441
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/qa-jenkins-scm/attachments/20200910/89ec5a8e/attachment-0001.html>


More information about the Qa-jenkins-scm mailing list